Package com.independentsoft.graph.calendars

# Class EventPropertyName

java.lang.Object
com.independentsoft.graph.calendars.EventPropertyName

public class EventPropertyName extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `ALLOW_NEW_TIME_PROPOSALS`
  `static String`
  `ATTENDEES`
  `static String`
  `BODY`
  `static String`
  `BODY_PREVIEW`
  `static String`
  `CATEGORIES`
  `static String`
  `CHANGE_KEY`
  `static String`
  `CREATED_TIME`
  `static String`
  `END`
  `static String`
  `END_TIME`
  `static String`
  `EXTENDED_PROPERTIES`
  `static String`
  `HAS_ATTACHMENTS`
  `static String`
  `HIDE_ATTENDEES`
  `static String`
  `ID`
  `static String`
  `IMPORTANCE`
  `static String`
  `IS_ALL_DAY`
  `static String`
  `IS_CANCELLED`
  `static String`
  `IS_DRAFT`
  `static String`
  `IS_ONLINE_MEETING`
  `static String`
  `IS_ORGANIZER`
  `static String`
  `IS_REMINDER_ON`
  `static String`
  `LAST_MODIFIED_TIME`
  `static String`
  `LOCATION`
  `static String`
  `LOCATIONS`
  `static String`
  `MULTI_VALUE_EXTENDED_PROPERTIES`
  `static String`
  `OCCURRENCE_ID`
  `static String`
  `ONLINE_MEETING_URL`
  `static String`
  `ORGANIZER`
  `static String`
  `ORIGINAL_END_TIME_ZONE`
  `static String`
  `ORIGINAL_START_TIME`
  `static String`
  `ORIGINAL_START_TIME_ZONE`
  `static String`
  `RECURRENCE`
  `static String`
  `REMINDER_MINUTES_BEFORE_START`
  `static String`
  `RESPONSE_REQUESTED`
  `static String`
  `RESPONSE_STATUS`
  `static String`
  `SENSITIIVITY`
  `static String`
  `SERIES_MASTER_ID`
  `static String`
  `SHOW_AS`
  `static String`
  `SINGLE_VALUE_EXTENDED_PROPERTIES`
  `static String`
  `START`
  `static String`
  `START_TIME`
  `static String`
  `SUBJECT`
  `static String`
  `TYPE`
  `static String`
  `UID`
  `static String`
  `WEB_LINK`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ID

    public static final String ID
    See Also:
      Constant Field Values

  - ### CHANGE_KEY

    public static final String CHANGE_KEY
    See Also:
      Constant Field Values

  - ### ALLOW_NEW_TIME_PROPOSALS

    public static final String ALLOW_NEW_TIME_PROPOSALS
    See Also:
      Constant Field Values

  - ### ATTENDEES

    public static final String ATTENDEES
    See Also:
      Constant Field Values

  - ### BODY

    public static final String BODY
    See Also:
      Constant Field Values

  - ### BODY_PREVIEW

    public static final String BODY_PREVIEW
    See Also:
      Constant Field Values

  - ### CATEGORIES

    public static final String CATEGORIES
    See Also:
      Constant Field Values

  - ### CREATED_TIME

    public static final String CREATED_TIME
    See Also:
      Constant Field Values

  - ### END

    public static final String END
    See Also:
      Constant Field Values

  - ### HAS_ATTACHMENTS

    public static final String HAS_ATTACHMENTS
    See Also:
      Constant Field Values

  - ### HIDE_ATTENDEES

    public static final String HIDE_ATTENDEES
    See Also:
      Constant Field Values

  - ### IMPORTANCE

    public static final String IMPORTANCE
    See Also:
      Constant Field Values

  - ### IS_ALL_DAY

    public static final String IS_ALL_DAY
    See Also:
      Constant Field Values

  - ### IS_CANCELLED

    public static final String IS_CANCELLED
    See Also:
      Constant Field Values

  - ### IS_DRAFT

    public static final String IS_DRAFT
    See Also:
      Constant Field Values

  - ### IS_ONLINE_MEETING

    public static final String IS_ONLINE_MEETING
    See Also:
      Constant Field Values

  - ### IS_ORGANIZER

    public static final String IS_ORGANIZER
    See Also:
      Constant Field Values

  - ### IS_REMINDER_ON

    public static final String IS_REMINDER_ON
    See Also:
      Constant Field Values

  - ### LAST_MODIFIED_TIME

    public static final String LAST_MODIFIED_TIME
    See Also:
      Constant Field Values

  - ### LOCATION

    public static final String LOCATION
    See Also:
      Constant Field Values

  - ### LOCATIONS

    public static final String LOCATIONS
    See Also:
      Constant Field Values

  - ### OCCURRENCE_ID

    public static final String OCCURRENCE_ID
    See Also:
      Constant Field Values

  - ### ONLINE_MEETING_URL

    public static final String ONLINE_MEETING_URL
    See Also:
      Constant Field Values

  - ### ORGANIZER

    public static final String ORGANIZER
    See Also:
      Constant Field Values

  - ### ORIGINAL_END_TIME_ZONE

    public static final String ORIGINAL_END_TIME_ZONE
    See Also:
      Constant Field Values

  - ### ORIGINAL_START_TIME

    public static final String ORIGINAL_START_TIME
    See Also:
      Constant Field Values

  - ### ORIGINAL_START_TIME_ZONE

    public static final String ORIGINAL_START_TIME_ZONE
    See Also:
      Constant Field Values

  - ### RECURRENCE

    public static final String RECURRENCE
    See Also:
      Constant Field Values

  - ### REMINDER_MINUTES_BEFORE_START

    public static final String REMINDER_MINUTES_BEFORE_START
    See Also:
      Constant Field Values

  - ### RESPONSE_REQUESTED

    public static final String RESPONSE_REQUESTED
    See Also:
      Constant Field Values

  - ### RESPONSE_STATUS

    public static final String RESPONSE_STATUS
    See Also:
      Constant Field Values

  - ### SENSITIIVITY

    public static final String SENSITIIVITY
    See Also:
      Constant Field Values

  - ### SERIES_MASTER_ID

    public static final String SERIES_MASTER_ID
    See Also:
      Constant Field Values

  - ### SHOW_AS

    public static final String SHOW_AS
    See Also:
      Constant Field Values

  - ### START

    public static final String START
    See Also:
      Constant Field Values

  - ### SUBJECT

    public static final String SUBJECT
    See Also:
      Constant Field Values

  - ### TYPE

    public static final String TYPE
    See Also:
      Constant Field Values

  - ### UID

    public static final String UID
    See Also:
      Constant Field Values

  - ### WEB_LINK

    public static final String WEB_LINK
    See Also:
      Constant Field Values

  - ### START_TIME

    public static final String START_TIME
    See Also:
      Constant Field Values

  - ### END_TIME

    public static final String END_TIME
    See Also:
      Constant Field Values

  - ### EXTENDED_PROPERTIES

    public static final String EXTENDED_PROPERTIES
    See Also:
      Constant Field Values

  - ### SINGLE_VALUE_EXTENDED_PROPERTIES

    public static final String SINGLE_VALUE_EXTENDED_PROPERTIES
    See Also:
      Constant Field Values

  - ### MULTI_VALUE_EXTENDED_PROPERTIES

    public static final String MULTI_VALUE_EXTENDED_PROPERTIES
    See Also:
      Constant Field Values